%def_with dbus

Name: tomboy
Version: 0.4.1
Release: alt1

Summary: Tomboy is a desktop note-taking application

Group: Office
License: LGPL
Url: http://www.beatniksoftware.com/tomboy

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.beatniksoftware.com/tomboy/releases/%name-%version.tar.bz2
Source1: %name
#Source2: %name.menu
#Patch: %name-%version.patch

# Typical environment for GNOME program
Requires(post): GConf2
Requires(post,postun): scrollkeeper
BuildPreReq: libGConf2-devel
BuildPreReq: desktop-file-utils
BuildPreReq: menu-devel

# Automatically added by buildreq on Sat Dec 30 2006 (-bi)
BuildRequires: docbook-dtds gcc-c++ GConf gnome-doc-utils libgmime-sharp libgnomeprintui-devel libgnome-sharp mono-mcs mono-nunit perl-XML-Parser python-modules-compiler python-modules-encodings rpm-build-mono

# manually:
%if_with dbus
BuildRequires: libdbus-mono-devel libdbus-glib-devel libdbus-devel
%endif
BuildRequires: libgnome-panel-devel libgtkspell-devel libgtk-sharp2-devel libgnome-sharp-devel
BuildRequires: /proc

%description
Tomboy is a desktop note-taking application for Linux and Unix. Simple
and easy to use, but with potential to help you organize the ideas and
information you deal with every day.  The key to Tomboy's usefulness lies
in the ability to relate notes and ideas together.  Using a WikiWiki-like
linking system, organizing ideas is as simple as typing a name.
Branching an idea off is easy as pressing the Link button. And links
between your ideas won't break, even when renaming and reorganizing them.

%prep
%setup -q
#%patch -p0

%build
#export PATH=${PATH}:%_libdir/mono/bin
#autoreconf -fisv
#./autogen.sh
%configure --disable-schemas-install --disable-scrollkeeper \
	%{!?_with_dbus: --enable-dbus=no}
%__subst "s|%_libdir/bonobo/servers|\$(libdir)/bonobo/servers|" Makefile data/Makefile
%make

%install
%makeinstall
install %SOURCE1 %buildroot/%_bindir

%find_lang %name --with-gnome

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%doc AUTHORS ChangeLog README NEWS
%_bindir/*
%_libdir/%name/
%_man1dir/*
%_pixmapsdir/*
%_desktopdir/*
#%_libdir/dbus-1.0/services/*
#%_pkgconfigdir/*
%_libdir/bonobo/servers/*
#%_datadir/gnome-2.0/ui/*
%_iconsdir/*/*/*/*
%config %_sysconfdir/gconf/schemas/*
%{?_with_dbus:%_libdir/dbus-1.0/services/com.beatniksoftware.Tomboy.service}

%changelog
* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt1
- rebuild with rpm-build-mono

* Fri Dec 29 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.3
- add requires to gnome/gmime-sharp, enable dbus build

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.2
- update buildreqs, file packing

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.4.1-alt0.1
- new version 0.4.1 (with rpmrb script)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 0.3.5-alt0.1
- new version 0.3.5 (with rpmrb script)
- remove debian menu

* Tue Nov 15 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt2cvs20051116
- new version
- fix requires
- add some patches for build

* Sat Sep 17 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt1
- release
- fix %_libdir/%name owner
- fix menu

* Fri Aug 19 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.2pre
- rebuild with new mono

* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.3-alt0.1pre
- CVS version from 2005-06-18

* Sun Apr 10 2005 Vitaly Lipatov <lav@altlinux.ru> 0.3.2-alt0.1
- new version (CVS from 2005-04-10)

* Mon Dec 27 2004 Vitaly Lipatov <lav@altlinux.ru> 0.2.2-alt1.1
- add gtk-sharp requires

* Thu Dec 23 2004 Vitaly Lipatov <lav@altlinux.ru> 0.2.2-alt1
- first build for ALT Linux Sisyphus

